Index: trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java
===================================================================
--- trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 11)
+++ trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 12)
@@ -1012,7 +1013,7 @@
         		aTypeSymbol = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:259:2: ( T_BOOL | T_INT T_LSQPAREN rangeLow= ( T_INTNUMBER | T_INFTY | T_IDENTIFIER ) T_RANGETO rangeHigh= ( T_INTNUMBER | T_INFTY | T_IDENTIFIER ) T_RSQPAREN | T_FLOAT T_LSQPAREN rangeLow= ( T_FLOATNUMBER | T_INFTY | T_IDENTIFIER ) T_RANGETO rangeHigh= ( T_FLOATNUMBER | T_INFTY | T_IDENTIFIER ) T_RSQPAREN | T_CHAR | T_CBRL aRangeValue= T_IDENTIFIER ( T_EQUAL optVal= T_INTNUMBER )? ( T_COMMA otherRangeValue= T_IDENTIFIER ( T_EQUAL otherOptVal= T_INTNUMBER )? )* T_CBRR |aType= T_IDENTIFIER )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:263:2: ( T_BOOL | T_INT T_LSQPAREN rangeLow= ( T_INTNUMBER | T_INFTY | T_IDENTIFIER ) T_RANGETO rangeHigh= ( T_INTNUMBER | T_INFTY | T_IDENTIFIER ) T_RSQPAREN | T_FLOAT T_LSQPAREN rangeLow= ( T_FLOATNUMBER | T_INFTY | T_IDENTIFIER ) T_RANGETO rangeHigh= ( T_FLOATNUMBER | T_INFTY | T_IDENTIFIER ) T_RSQPAREN | T_CHAR | T_CBRL aRangeValue= T_IDENTIFIER ( T_EQUAL optVal= T_INTNUMBER )? ( T_COMMA otherRangeValue= T_IDENTIFIER ( T_EQUAL otherOptVal= T_INTNUMBER )? )* T_CBRR |aType= T_IDENTIFIER )
             int alt15=6;
             switch ( input.LA(1) ) {
             case T_BOOL:
@@ -1055,7 +1056,7 @@
 
             switch (alt15) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:259:4: T_BOOL
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:263:4: T_BOOL
                     {
                     match(input,T_BOOL,FOLLOW_T_BOOL_in_simpleType562);
 
@@ -1064,7 +1065,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:262:4: T_INT T_LSQPAREN rangeLow= ( T_INTNUMBER | T_INFTY | T_IDENTIFIER ) T_RANGETO rangeHigh= ( T_INTNUMBER | T_INFTY | T_IDENTIFIER ) T_RSQPAREN
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:266:4: T_INT T_LSQPAREN rangeLow= ( T_INTNUMBER | T_INFTY | T_IDENTIFIER ) T_RANGETO rangeHigh= ( T_INTNUMBER | T_INFTY | T_IDENTIFIER ) T_RSQPAREN
                     {
                     match(input,T_INT,FOLLOW_T_INT_in_simpleType575);
 
@@ -1103,7 +1104,7 @@
                     }
                     break;
                 case 3 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:266:4: T_FLOAT T_LSQPAREN rangeLow= ( T_FLOATNUMBER | T_INFTY | T_IDENTIFIER ) T_RANGETO rangeHigh= ( T_FLOATNUMBER | T_INFTY | T_IDENTIFIER ) T_RSQPAREN
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:270:4: T_FLOAT T_LSQPAREN rangeLow= ( T_FLOATNUMBER | T_INFTY | T_IDENTIFIER ) T_RANGETO rangeHigh= ( T_FLOATNUMBER | T_INFTY | T_IDENTIFIER ) T_RSQPAREN
                     {
                     match(input,T_FLOAT,FOLLOW_T_FLOAT_in_simpleType620);
 
@@ -1142,7 +1143,7 @@
                     }
                     break;
                 case 4 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:270:4: T_CHAR
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:274:4: T_CHAR
                     {
                     match(input,T_CHAR,FOLLOW_T_CHAR_in_simpleType665);
 
@@ -1151,13 +1152,13 @@
                     }
                     break;
                 case 5 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:274:4: T_CBRL aRangeValue= T_IDENTIFIER ( T_EQUAL optVal= T_INTNUMBER )? ( T_COMMA otherRangeValue= T_IDENTIFIER ( T_EQUAL otherOptVal= T_INTNUMBER )? )* T_CBRR
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:278:4: T_CBRL aRangeValue= T_IDENTIFIER ( T_EQUAL optVal= T_INTNUMBER )? ( T_COMMA otherRangeValue= T_IDENTIFIER ( T_EQUAL otherOptVal= T_INTNUMBER )? )* T_CBRR
                     {
                     match(input,T_CBRL,FOLLOW_T_CBRL_in_simpleType681);
 
                     aRangeValue=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_simpleType685);
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:274:36: ( T_EQUAL optVal= T_INTNUMBER )?
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:278:36: ( T_EQUAL optVal= T_INTNUMBER )?
                     int alt12=2;
                     final int LA12_0 = input.LA(1);
 
@@ -1166,7 +1167,7 @@
                     }
                     switch (alt12) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:274:37: T_EQUAL optVal= T_INTNUMBER
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:278:37: T_EQUAL optVal= T_INTNUMBER
                             {
                             match(input,T_EQUAL,FOLLOW_T_EQUAL_in_simpleType688);
 
@@ -1180,7 +1181,7 @@
 
                     aTypeSymbol = createEnumType(aRangeValue, optVal);
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:275:4: ( T_COMMA otherRangeValue= T_IDENTIFIER ( T_EQUAL otherOptVal= T_INTNUMBER )? )*
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:279:4: ( T_COMMA otherRangeValue= T_IDENTIFIER ( T_EQUAL otherOptVal= T_INTNUMBER )? )*
                     loop14:
                     do {
                         int alt14=2;
@@ -1193,13 +1194,13 @@
 
                         switch (alt14) {
                     	case 1 :
-                    	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:275:5: T_COMMA otherRangeValue= T_IDENTIFIER ( T_EQUAL otherOptVal= T_INTNUMBER )?
+                    	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:279:5: T_COMMA otherRangeValue= T_IDENTIFIER ( T_EQUAL otherOptVal= T_INTNUMBER )?
                     	    {
                     	    match(input,T_COMMA,FOLLOW_T_COMMA_in_simpleType703);
 
                     	    otherRangeValue=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_simpleType707);
 
-                    	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:275:42: ( T_EQUAL otherOptVal= T_INTNUMBER )?
+                    	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:279:42: ( T_EQUAL otherOptVal= T_INTNUMBER )?
                     	    int alt13=2;
                     	    final int LA13_0 = input.LA(1);
 
@@ -1208,7 +1209,7 @@
                     	    }
                     	    switch (alt13) {
                     	        case 1 :
-                    	            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:275:43: T_EQUAL otherOptVal= T_INTNUMBER
+                    	            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:279:43: T_EQUAL otherOptVal= T_INTNUMBER
                     	            {
                     	            match(input,T_EQUAL,FOLLOW_T_EQUAL_in_simpleType710);
 
@@ -1236,7 +1237,7 @@
                     }
                     break;
                 case 6 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:277:4: aType= T_IDENTIFIER
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:281:4: aType= T_IDENTIFIER
                     {
                     aType=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_simpleType733);
 
@@ -1263,7 +1264,7 @@
 
 
     // $ANTLR start "ooActionSystem"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:287:1: ooActionSystem returns [OoActionSystemType aTypeSymbol] : ( T_AUTOCONS )? T_SYSTEM ( T_LPAREN refinesSystemName= T_IDENTIFIER T_RPAREN )? '|[' ( T_VAR attrList )? ( T_METHODS methodList )? ( T_ACTIONS namedActionList )? ( T_DO (bl= actionBlock[null] )? T_OD )? ']|' ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:291:1: ooActionSystem returns [OoActionSystemType aTypeSymbol] : ( T_AUTOCONS )? T_SYSTEM ( T_LPAREN refinesSystemName= T_IDENTIFIER T_RPAREN )? '|[' ( T_VAR attrList )? ( T_METHODS methodList )? ( T_ACTIONS namedActionList )? ( T_DO (bl= actionBlock[null] )? T_OD )? ']|' ;
     public final OoActionSystemType ooActionSystem() throws RecognitionException {
         OoActionSystemType aTypeSymbol = null;
 
@@ -1278,10 +1279,10 @@
         		refinesSystemName = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:294:2: ( ( T_AUTOCONS )? T_SYSTEM ( T_LPAREN refinesSystemName= T_IDENTIFIER T_RPAREN )? '|[' ( T_VAR attrList )? ( T_METHODS methodList )? ( T_ACTIONS namedActionList )? ( T_DO (bl= actionBlock[null] )? T_OD )? ']|' )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:294:9: ( T_AUTOCONS )? T_SYSTEM ( T_LPAREN refinesSystemName= T_IDENTIFIER T_RPAREN )? '|[' ( T_VAR attrList )? ( T_METHODS methodList )? ( T_ACTIONS namedActionList )? ( T_DO (bl= actionBlock[null] )? T_OD )? ']|'
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:298:2: ( ( T_AUTOCONS )? T_SYSTEM ( T_LPAREN refinesSystemName= T_IDENTIFIER T_RPAREN )? '|[' ( T_VAR attrList )? ( T_METHODS methodList )? ( T_ACTIONS namedActionList )? ( T_DO (bl= actionBlock[null] )? T_OD )? ']|' )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:298:9: ( T_AUTOCONS )? T_SYSTEM ( T_LPAREN refinesSystemName= T_IDENTIFIER T_RPAREN )? '|[' ( T_VAR attrList )? ( T_METHODS methodList )? ( T_ACTIONS namedActionList )? ( T_DO (bl= actionBlock[null] )? T_OD )? ']|'
             {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:294:9: ( T_AUTOCONS )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:298:9: ( T_AUTOCONS )?
             int alt16=2;
             final int LA16_0 = input.LA(1);
 
@@ -1290,7 +1291,7 @@
             }
             switch (alt16) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:294:10: T_AUTOCONS
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:298:10: T_AUTOCONS
                     {
                     match(input,T_AUTOCONS,FOLLOW_T_AUTOCONS_in_ooActionSystem776);
 
@@ -1304,7 +1305,7 @@
 
             match(input,T_SYSTEM,FOLLOW_T_SYSTEM_in_ooActionSystem785);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:295:12: ( T_LPAREN refinesSystemName= T_IDENTIFIER T_RPAREN )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:299:12: ( T_LPAREN refinesSystemName= T_IDENTIFIER T_RPAREN )?
             int alt17=2;
             final int LA17_0 = input.LA(1);
 
@@ -1313,7 +1314,7 @@
             }
             switch (alt17) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:295:13: T_LPAREN refinesSystemName= T_IDENTIFIER T_RPAREN
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:299:13: T_LPAREN refinesSystemName= T_IDENTIFIER T_RPAREN
                     {
                     match(input,T_LPAREN,FOLLOW_T_LPAREN_in_ooActionSystem788);
 
@@ -1331,7 +1332,7 @@
 
             match(input,121,FOLLOW_121_in_ooActionSystem807);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:298:4: ( T_VAR attrList )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:302:4: ( T_VAR attrList )?
             int alt18=2;
             final int LA18_0 = input.LA(1);
 
@@ -1340,7 +1341,7 @@
             }
             switch (alt18) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:298:5: T_VAR attrList
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:302:5: T_VAR attrList
                     {
                     match(input,T_VAR,FOLLOW_T_VAR_in_ooActionSystem813);
 
@@ -1356,7 +1357,7 @@
             }
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:299:4: ( T_METHODS methodList )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:303:4: ( T_METHODS methodList )?
             int alt19=2;
             final int LA19_0 = input.LA(1);
 
@@ -1365,7 +1366,7 @@
             }
             switch (alt19) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:299:5: T_METHODS methodList
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:303:5: T_METHODS methodList
                     {
                     match(input,T_METHODS,FOLLOW_T_METHODS_in_ooActionSystem823);
 
@@ -1381,7 +1382,7 @@
             }
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:300:4: ( T_ACTIONS namedActionList )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:304:4: ( T_ACTIONS namedActionList )?
             int alt20=2;
             final int LA20_0 = input.LA(1);
 
@@ -1390,7 +1391,7 @@
             }
             switch (alt20) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:300:5: T_ACTIONS namedActionList
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:304:5: T_ACTIONS namedActionList
                     {
                     match(input,T_ACTIONS,FOLLOW_T_ACTIONS_in_ooActionSystem833);
 
@@ -1406,7 +1407,7 @@
             }
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:301:4: ( T_DO (bl= actionBlock[null] )? T_OD )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:305:4: ( T_DO (bl= actionBlock[null] )? T_OD )?
             int alt22=2;
             final int LA22_0 = input.LA(1);
 
@@ -1415,11 +1416,11 @@
             }
             switch (alt22) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:301:5: T_DO (bl= actionBlock[null] )? T_OD
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:305:5: T_DO (bl= actionBlock[null] )? T_OD
                     {
                     match(input,T_DO,FOLLOW_T_DO_in_ooActionSystem843);
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:301:10: (bl= actionBlock[null] )?
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:305:10: (bl= actionBlock[null] )?
                     int alt21=2;
                     final int LA21_0 = input.LA(1);
 
@@ -1428,7 +1429,7 @@
                     }
                     switch (alt21) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:301:11: bl= actionBlock[null]
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:305:11: bl= actionBlock[null]
                             {
                             pushFollow(FOLLOW_actionBlock_in_ooActionSystem848);
                             bl=actionBlock(null);
@@ -1473,11 +1474,11 @@
 
 
     // $ANTLR start "attrList"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:313:1: attrList : attr ( T_SEMICOLON attr )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:317:1: attrList : attr ( T_SEMICOLON attr )* ;
     public final void attrList() throws RecognitionException {
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:314:2: ( attr ( T_SEMICOLON attr )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:314:4: attr ( T_SEMICOLON attr )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:318:2: ( attr ( T_SEMICOLON attr )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:318:4: attr ( T_SEMICOLON attr )*
             {
             BeginParsingAttributes();
 
@@ -1487,7 +1488,7 @@
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:315:9: ( T_SEMICOLON attr )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:319:9: ( T_SEMICOLON attr )*
             loop23:
             do {
                 int alt23=2;
@@ -1500,7 +1501,7 @@
 
                 switch (alt23) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:315:10: T_SEMICOLON attr
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:319:10: T_SEMICOLON attr
             	    {
             	    match(input,T_SEMICOLON,FOLLOW_T_SEMICOLON_in_attrList895);
 
@@ -1540,7 +1541,7 @@
 
 
     // $ANTLR start "attr"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:321:1: attr : ( T_STATIC )? ( T_OBS | T_CTRL )? varname= T_IDENTIFIER T_COLON aType= complexType ( T_EQUAL anExpr= expression )? ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:325:1: attr : ( T_STATIC )? ( T_OBS | T_CTRL )? varname= T_IDENTIFIER T_COLON aType= complexType ( T_EQUAL anExpr= expression )? ;
     public final void attr() throws RecognitionException {
         Token varname=null;
         Type aType =null;
@@ -1555,10 +1556,10 @@
 
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:328:2: ( ( T_STATIC )? ( T_OBS | T_CTRL )? varname= T_IDENTIFIER T_COLON aType= complexType ( T_EQUAL anExpr= expression )? )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:328:5: ( T_STATIC )? ( T_OBS | T_CTRL )? varname= T_IDENTIFIER T_COLON aType= complexType ( T_EQUAL anExpr= expression )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:332:2: ( ( T_STATIC )? ( T_OBS | T_CTRL )? varname= T_IDENTIFIER T_COLON aType= complexType ( T_EQUAL anExpr= expression )? )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:332:5: ( T_STATIC )? ( T_OBS | T_CTRL )? varname= T_IDENTIFIER T_COLON aType= complexType ( T_EQUAL anExpr= expression )?
             {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:328:5: ( T_STATIC )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:332:5: ( T_STATIC )?
             int alt24=2;
             final int LA24_0 = input.LA(1);
 
@@ -1567,7 +1568,7 @@
             }
             switch (alt24) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:328:6: T_STATIC
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:332:6: T_STATIC
                     {
                     match(input,T_STATIC,FOLLOW_T_STATIC_in_attr922);
 
@@ -1579,7 +1580,7 @@
             }
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:328:36: ( T_OBS | T_CTRL )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:332:36: ( T_OBS | T_CTRL )?
             int alt25=3;
             final int LA25_0 = input.LA(1);
 
@@ -1591,7 +1592,7 @@
             }
             switch (alt25) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:328:37: T_OBS
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:332:37: T_OBS
                     {
                     match(input,T_OBS,FOLLOW_T_OBS_in_attr929);
 
@@ -1600,7 +1601,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:328:61: T_CTRL
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:332:61: T_CTRL
                     {
                     match(input,T_CTRL,FOLLOW_T_CTRL_in_attr935);
 
@@ -1622,7 +1623,7 @@
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:329:51: ( T_EQUAL anExpr= expression )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:333:51: ( T_EQUAL anExpr= expression )?
             int alt26=2;
             final int LA26_0 = input.LA(1);
 
@@ -1631,7 +1632,7 @@
             }
             switch (alt26) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:329:52: T_EQUAL anExpr= expression
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:333:52: T_EQUAL anExpr= expression
                     {
                     match(input,T_EQUAL,FOLLOW_T_EQUAL_in_attr956);
 
@@ -1667,11 +1668,11 @@
 
 
     // $ANTLR start "methodList"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:336:1: methodList : method ( T_SEMICOLON method )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:340:1: methodList : method ( T_SEMICOLON method )* ;
     public final void methodList() throws RecognitionException {
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:337:2: ( method ( T_SEMICOLON method )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:337:5: method ( T_SEMICOLON method )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:341:2: ( method ( T_SEMICOLON method )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:341:5: method ( T_SEMICOLON method )*
             {
             pushFollow(FOLLOW_method_in_methodList982);
             method();
@@ -1679,7 +1680,7 @@
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:337:12: ( T_SEMICOLON method )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:341:12: ( T_SEMICOLON method )*
             loop27:
             do {
                 int alt27=2;
@@ -1692,7 +1693,7 @@
 
                 switch (alt27) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:337:13: T_SEMICOLON method
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:341:13: T_SEMICOLON method
             	    {
             	    match(input,T_SEMICOLON,FOLLOW_T_SEMICOLON_in_methodList985);
 
@@ -1729,7 +1730,7 @@
 
 
     // $ANTLR start "method"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:340:1: method : mname= T_IDENTIFIER ( T_LPAREN methodParameterList[newMethod] T_RPAREN )? ( T_COLON rt= complexType )? T_EQUAL ( T_VAR localActionVars[newMethod] 'begin' )? statements= actionBody[null] T_END ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:344:1: method : mname= T_IDENTIFIER ( T_LPAREN methodParameterList[newMethod] T_RPAREN )? ( T_COLON rt= complexType )? T_EQUAL ( T_VAR localActionVars[newMethod] 'begin' )? statements= actionBody[null] T_END ;
     public final void method() throws RecognitionException {
         Token mname=null;
         Type rt =null;
@@ -1741,14 +1742,14 @@
         		FunctionIdentifier newMethod = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:344:2: (mname= T_IDENTIFIER ( T_LPAREN methodParameterList[newMethod] T_RPAREN )? ( T_COLON rt= complexType )? T_EQUAL ( T_VAR localActionVars[newMethod] 'begin' )? statements= actionBody[null] T_END )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:344:4: mname= T_IDENTIFIER ( T_LPAREN methodParameterList[newMethod] T_RPAREN )? ( T_COLON rt= complexType )? T_EQUAL ( T_VAR localActionVars[newMethod] 'begin' )? statements= actionBody[null] T_END
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:348:2: (mname= T_IDENTIFIER ( T_LPAREN methodParameterList[newMethod] T_RPAREN )? ( T_COLON rt= complexType )? T_EQUAL ( T_VAR localActionVars[newMethod] 'begin' )? statements= actionBody[null] T_END )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:348:4: mname= T_IDENTIFIER ( T_LPAREN methodParameterList[newMethod] T_RPAREN )? ( T_COLON rt= complexType )? T_EQUAL ( T_VAR localActionVars[newMethod] 'begin' )? statements= actionBody[null] T_END
             {
             mname=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_method1009);
 
             newMethod = createMethodSymbol(mname);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:345:3: ( T_LPAREN methodParameterList[newMethod] T_RPAREN )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:349:3: ( T_LPAREN methodParameterList[newMethod] T_RPAREN )?
             int alt28=2;
             final int LA28_0 = input.LA(1);
 
@@ -1757,7 +1758,7 @@
             }
             switch (alt28) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:345:4: T_LPAREN methodParameterList[newMethod] T_RPAREN
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:349:4: T_LPAREN methodParameterList[newMethod] T_RPAREN
                     {
                     match(input,T_LPAREN,FOLLOW_T_LPAREN_in_method1017);
 
@@ -1775,7 +1776,7 @@
             }
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:346:3: ( T_COLON rt= complexType )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:350:3: ( T_COLON rt= complexType )?
             int alt29=2;
             final int LA29_0 = input.LA(1);
 
@@ -1784,7 +1785,7 @@
             }
             switch (alt29) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:346:4: T_COLON rt= complexType
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:350:4: T_COLON rt= complexType
                     {
                     match(input,T_COLON,FOLLOW_T_COLON_in_method1031);
 
@@ -1804,7 +1805,7 @@
 
             match(input,T_EQUAL,FOLLOW_T_EQUAL_in_method1045);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:348:4: ( T_VAR localActionVars[newMethod] 'begin' )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:352:4: ( T_VAR localActionVars[newMethod] 'begin' )?
             int alt30=2;
             final int LA30_0 = input.LA(1);
 
